## binwalk 2.0.1+dfsg

=== src/C/Makefile ===
LIB_DIR="../$(PYLIBDIR)"

.PHONY: all clean_libs clean distclean

all:
	make -C miniz
	cp miniz/*.$(SOEXT) $(LIB_DIR)
	make -C compress
	cp compress/*.$(SOEXT) $(LIB_DIR)

clean_libs:
	rm -f $(LIB_DIR)/libtinfl.$(SOEXT)
	rm -f $(LIB_DIR)/libcompress42.$(SOEXT)

clean: clean_libs
	make -C miniz clean
	make -C compress clean

distclean: clean_libs
	make -C miniz distclean
	make -C compress distclean

=== src/C/compress/Makefile ===
LIBNAME=libcompress42.$(SOEXT)

all: $(LIBNAME)

$(LIBNAME): compress42.o
	$(CC) $(CFLAGS) -shared -Wl,$(SONAME),$(LIBNAME) compress42.o -o $(LIBNAME) $(LDFLAGS)
	chmod +x $(LIBNAME)

compress42.o:
	$(CC) $(CFLAGS) compress42.c -c

install:
	mkdir -p $(DESTDIR)$(LIBDIR)
	install $(INSTALL_OPTIONS) $(LIBNAME) $(DESTDIR)$(LIBDIR)/$(LIBNAME)

uninstall:
	rm -rf $(DESTDIR)$(LIBDIR)/$(LIBNAME)

.PHONY: clean distclean

clean:
	rm -f *.o $(LIBNAME)

distclean: clean

=== src/C/miniz/Makefile ===
LIBNAME=libtinfl.$(SOEXT)

all: $(LIBNAME)

$(LIBNAME): tinfl.o
	$(CC) $(CFLAGS) -shared -Wl,$(SONAME),$(LIBNAME) tinfl.o -o $(LIBNAME) $(LDFLAGS)
	chmod +x $(LIBNAME)

tinfl.o:
	$(CC) $(CFLAGS) -c tinfl.c

install:
	mkdir -p $(DESTDIR)$(LIBDIR)
	install $(INSTALL_OPTIONS) $(LIBNAME) $(DESTDIR)$(LIBDIR)/$(LIBNAME)

uninstall:
	rm -rf $(DESTDIR)$(LIBDIR)/$(LIBNAME)

.PHONY: clean distclean

clean:
	rm -f *.o $(LIBNAME)

distclean: clean

## binwalk 0.4.3+dfsg

=== debian/changelog ===
binwalk (0.4.3+dfsg-1) unstable; urgency=low

  * First debian package (closes: #660654)

 -- Leo Costela <costela@debian.org>  Sun, 15 Jul 2012 15:55:22 +0200

=== debian/control ===
Source: binwalk
Section: devel
Priority: extra
Maintainer: Leo Costela <costela@debian.org>
Build-Depends: debhelper (>= 9), zlib1g-dev, libmagic-dev,
# for buildflags.mk
 dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.3
Homepage: http://code.google.com/p/binwalk/
Vcs-Browser: http://git.debian.org/?p=collab-maint/binwalk.git
Vcs-Git: git://git.debian.org/git/collab-maint/binwalk.git

Package: binwalk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tool for searching binary images for embedded files and executable code
 Binwalk is a tool for searching a given binary image for embedded files
 and executable code. Specifically, it is designed for identifying files
 and code embedded inside of firmware images. Binwalk uses the libmagic
 library, so it is compatible with magic signatures created for the Unix
 file utility.
 .
 Binwalk also includes a custom magic signature file which contains
 improved signatures for files that are commonly found in firmware images
 such as compressed/archived files, firmware headers, Linux kernels,
 bootloaders, filesystems, etc.

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed,--no-undefined,--no-add-needed

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --sourcedirectory=src

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-libmagic \
		--disable-updates

## binwalk 0.5.0

=== debian/changelog ===
binwalk (0.5.0-1) unstable; urgency=low

  * [e62042e2] Imported Upstream version 0.5.0

 -- Leo Costela <costela@debian.org>  Thu, 17 Jan 2013 17:12:32 +0100

binwalk (0.4.5-1) unstable; urgency=low

  * [6b44b155] Imported Upstream version 0.4.5

 -- Leo Costela <costela@debian.org>  Sat, 08 Sep 2012 13:19:20 +0200

binwalk (0.4.4-1) unstable; urgency=low

  * [658252c0] Imported Upstream version 0.4.4
  * [30f6357d] debian/copyright: add copyrighted blocks in magic.* files
  * [d3607624] drop use_cppflags.patch (merged upstream)
  * [f7060555] don't build with --enable-libmagic and drop README.source

 -- Leo Costela <costela@debian.org>  Mon, 06 Aug 2012 17:56:57 +0200

=== debian/rules ===
--- 
+++ 
@@ -13,5 +13,4 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--enable-libmagic \
 		--disable-updates

## binwalk 1.0

=== debian/changelog ===
binwalk (1.0-1) unstable; urgency=low

  * [c78b7e93] Imported Upstream version 1.0
    - full rewrite in python
  * [5eb6c54c] migrate to new python rewrite
  * [be1394d6] add python API to /u/s/docs/binwalk

 -- Leo Costela <costela@debian.org>  Wed, 20 Feb 2013 18:21:37 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,7 @@
 Section: devel
 Priority: extra
 Maintainer: Leo Costela <costela@debian.org>
-Build-Depends: debhelper (>= 9), zlib1g-dev, libmagic-dev,
-# for buildflags.mk
- dpkg-dev (>= 1.16.1~)
+Build-Depends: debhelper (>= 9), python-all-dev
 Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/binwalk/
 Vcs-Browser: http://git.debian.org/?p=collab-maint/binwalk.git
@@ -12,7 +10,8 @@
 
 Package: binwalk
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-magic
+Provides: ${python:Provides}
 Description: tool for searching binary images for embedded files and executable code
  Binwalk is a tool for searching a given binary image for embedded files
  and executable code. Specifically, it is designed for identifying files

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

%:
	dh $@ --sourcedirectory=src --with python2

=== debian/watch ===
version=3
opts=dversionmangle=s/(\+|\.)dfsg$// \
	http://code.google.com/p/binwalk/downloads/list .*/binwalk-([\d\.]+?)\.tar\.gz

## binwalk 2.0.1

=== debian/changelog ===
binwalk (2.0.1-1) unstable; urgency=medium

  * Imported Upstream version 2.0.1 (Closes: #727553, Closes: #754317)
    - Updated docs location
  * Tweak rules file to remove binary files when cleaning.
  * debian/control: add X-Python-Version: >= 2.7 and
    some new dependencies such as python-pyqtgraph.
  * debian/control: add python-opengl python-qt4 and python-qt4-gl
    as depdencies, to force the right pyqtgraph render engine.
  * patch destdir.patch, add DESTDIR to install path.
  * Add dh-autoreconf as build-dependency, and some missing
    runtime dependencies, needed to correctly extract the various
    kind of supported files.
  * Bump standard version to 3.9.5, no changes required.
  * Add myself to uploaders.
  * debian/{control,watch,copyright} New website (Closes: #734708)
  * Update VCS fields to canonical.
  * Update man page.
  * Update copyright file.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 30 Jun 2014 12:24:41 +0200

=== debian/control ===
Source: binwalk
Section: devel
Priority: optional
Maintainer: Leo Costela <costela@debian.org>
Uploaders: Gianfranco Costamagna <costamagnagianfranco@yahoo.it>
Build-Depends: debhelper (>= 9),
 python-all-dev,
 dh-autoreconf
Standards-Version: 3.9.5
X-Python-Version: >= 2.7
Homepage: https://github.com/devttys0/binwalk
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/binwalk.git
Vcs-Git: git://anonscm.debian.org/collab-maint/binwalk.git

Package: binwalk
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
 python-matplotlib,
 python-pyqtgraph,
 libfuzzy2,
 libmagic1,
 python-opengl,
 python-qt4,
 python-qt4-gl
Recommends: mtd-utils,
 ncompress,
 bzip2,
 arj,
 p7zip,
 p7zip-full,
 openjdk-7-jdk | openjdk-8-jdk
Description: tool for searching binary images for embedded files and executable code
 Binwalk is a tool for searching a given binary image for embedded files
 and executable code. Specifically, it is designed for identifying files
 and code embedded inside of firmware images. Binwalk uses the libmagic
 library, so it is compatible with magic signatures created for the Unix
 file utility.
 .
 Binwalk also includes a custom magic signature file which contains
 improved signatures for files that are commonly found in firmware images
 such as compressed/archived files, firmware headers, Linux kernels,
 bootloaders, filesystems, etc.

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

override_dh_auto_clean:
	if [ -f Makefile ]; then \
		$(MAKE) distclean; \
	fi

override_dh_auto_configure:
	dh_auto_configure -- --disable-bundles

%:
	dh $@ --with autoreconf,python2

## binwalk 2.0.1+dfsg

=== debian/changelog ===
binwalk (2.0.1+dfsg-1) unstable; urgency=medium

  * Tweak rules/clean target.
  * Bump standard version to 3.9.6, no changes required.
  * Remove bundled deps, ssdeep has a non-free file inside.
    (cfr: #764357).
  * Removed bundled depds inside copyright.
  * Add a README.source file explaining why we remove bundles
    directory.
  * Remove libfuzzy2 as b-d, upstream says the feature will be removed
    in the next release), avoding an autoremoval.
  * d/copyright: add src/bundles to Files-Excluded, thanks Vincent Cheng!

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 01 Oct 2014 14:44:28 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 9),
  python-all-dev,
  dh-autoreconf
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.7
 Homepage: https://github.com/devttys0/binwalk
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/binwalk.git
@@ -17,7 +17,6 @@
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
  python-matplotlib,
  python-pyqtgraph,
- libfuzzy2,
  libmagic1,
  python-opengl,
  python-qt4,

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

override_dh_auto_clean:
	if [ -e Makefile ]; then dh_auto_clean; fi

override_dh_auto_configure:
	dh_auto_configure -- --disable-bundles

%:
	dh $@ --with autoreconf,python2

## binwalk 2.1.1

=== debian/changelog ===
binwalk (2.1.1-4) unstable; urgency=medium

  * Remove gzip and tar dependencies, part of essential packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 10 Jan 2016 23:25:07 +0100

binwalk (2.1.1-3) unstable; urgency=low

  * Make python-pyqtgraph an optional dependency.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 Jan 2016 23:10:16 +0100

binwalk (2.1.1-2) unstable; urgency=medium

  * Remove unnecessary runtime dependencies, already satisfied
    by python-pyqtgraph.
    - thanks Nick Phillips <nick.phillips@otago.ac.nz> for the
      useful bug report and hint!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 Jan 2016 00:24:34 +0100

binwalk (2.1.1-1) unstable; urgency=medium

  * New upstream release
    - drop libraries, make package arch:all
    - change rules file to drop autoreconf
    - drop autoreconf and python-all-dev
    - drop patches regarding the libraries
    - remove dropped stuff from copyright.
  * patch refresh.
  * refresh manpage.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 24 Dec 2015 10:20:01 +0100

binwalk (2.0.1+dfsg-3) unstable; urgency=medium

  * Fix typo in previous upload.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 08 Nov 2015 19:30:02 +0100

binwalk (2.0.1+dfsg-2) unstable; urgency=medium

  * Update my uid

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 06 Nov 2015 10:38:43 +0100

=== debian/control ===
Source: binwalk
Section: devel
Priority: optional
Maintainer: Leo Costela <costela@debian.org>
Uploaders: Gianfranco Costamagna <locutusofborg@debian.org>
Build-Depends: debhelper (>= 9), python-all
Standards-Version: 3.9.6
X-Python-Version: >= 2.7
Homepage: https://github.com/devttys0/binwalk
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/binwalk.git
Vcs-Git: git://anonscm.debian.org/collab-maint/binwalk.git

Package: binwalk
Architecture: all
Depends: libmagic1, python-lzma, python-lzo, ${misc:Depends}, ${python:Depends}
Recommends: arj,
            bzip2,
            cramfsprogs,
            cramfsswap,
            mtd-utils,
            ncompress,
            p7zip,
            p7zip-full,
            python-pyqtgraph,
            sleuthkit,
            squashfs-tools
Description: tool for searching binary images for embedded files and executable code
 Binwalk is a tool for searching a given binary image for embedded files
 and executable code. Specifically, it is designed for identifying files
 and code embedded inside of firmware images. Binwalk uses the libmagic
 library, so it is compatible with magic signatures created for the Unix
 file utility.
 .
 Binwalk also includes a custom magic signature file which contains
 improved signatures for files that are commonly found in firmware images
 such as compressed/archived files, firmware headers, Linux kernels,
 bootloaders, filesystems, etc.

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_auto_clean:
	python setup.py clean

=== debian/watch ===
version=3
opts=dversionmangle=s/(\+|\.)dfsg$// \
	https://github.com/devttys0/binwalk/tags .*/v?(\d\S*)\.tar\.gz

## binwalk 2.1.2~git20180830%2Bdfsg1

=== debian/changelog ===
binwalk (2.1.2~git20180830+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.1.2~git20180830+dfsg1.
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>.
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org.
  * Update upstream URL for new git repository.
  * Bump debhelper compat level to 11 and Standards-Version to 4.2.1.
  * Update repacking rules, we drop some huge testing files now.
  * Drop upstream patch fixing a typo.
    Instead submitted a ticket here:
    https://github.com/ReFirmLabs/binwalk/issues/351
  * Cleanup python packaging
    * use correct section for python3-binwal
    * drop useless X-Python3-Version
    * add ${python3:Depends} to the binwalk package too
  * Cleanup the rules file
  * Add python3-nose to build-depends
  * Re-instate override of dh_auto_clean with explanation
  * Use upstream's "setup.py test" to run the tests
  * Add autopkgtests

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 30 Aug 2018 22:25:06 +0200

binwalk (2.1.1-16) unstable; urgency=medium

  * Switch to compat level 10
  * Switch to watch format 4
  
  [ Mathieu Malaterre ]
  * Enforce minimum p7zip-full version (Closes: #845952)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 28 Nov 2016 20:12:40 +0100

binwalk (2.1.1-15) unstable; urgency=low

  * Fail, it works on DoM (sbuild) but not on buildds
    sbuild. It works on pbuilder-dist sid chroot, but
    not with pbuilder-dist sid build. Restoring the manpage,
    do not recreate it during build.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 Sep 2016 15:52:28 +0200

binwalk (2.1.1-14) unstable; urgency=low

  * Add PYTHONPATH to fix build when python3-binwalk
    is not installed.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 Sep 2016 10:19:18 +0200

binwalk (2.1.1-13) unstable; urgency=low

  * Add help2man to build-dependencies.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 Sep 2016 09:10:05 +0200

binwalk (2.1.1-12) unstable; urgency=low

  [ Mathieu Malaterre ]
  * Change version dinamically, to fully automate the manpage
    creation

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 Sep 2016 08:36:04 +0200

binwalk (2.1.1-11) unstable; urgency=low

  * Try to generate the manpage at build time,
    lets see if the package is still reproducible or not.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 Sep 2016 08:20:05 +0200

binwalk (2.1.1-10) unstable; urgency=medium

  * Add deflate/lzma/partial/stop in manpage.
    Thanks malat for the report! (Closes: #839040)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 Sep 2016 08:10:40 +0200

binwalk (2.1.1-9) unstable; urgency=medium

  * Add gbp.conf file

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Aug 2016 17:18:34 +0200

binwalk (2.1.1-8) unstable; urgency=medium

  * Fix version check (Closes: #827837)
    - thanks Andreas Beckmann for the report!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 21 Jun 2016 17:38:50 +0200

binwalk (2.1.1-7) unstable; urgency=medium

  * Provide a python3-binwalk package, together
    with the binwalk only providing the binary.
  * Remove cramfsprogs not available anymore.
    thanks Thorsten Alteholz for the useful review.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 31 May 2016 12:12:33 +0200

binwalk (2.1.1-6) unstable; urgency=medium

  * Move the packaging to pkg-security
  * Std-version is 3.9.8
  * VCS in secure mode.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 May 2016 09:52:32 +0200

binwalk (2.1.1-5) unstable; urgency=medium

  [ Reiner Herrmann <reiner@reiner-h.de> ]
  * Move to python3

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 18 Apr 2016 17:11:17 +0200

=== debian/control ===
Source: binwalk
Section: devel
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Gianfranco Costamagna <locutusofborg@debian.org>
Build-Depends:
 debhelper (>= 11),
 dh-python,
 python3-all,
 python3-nose,
 python3-setuptools
Standards-Version: 4.2.1
Homepage: https://github.com/ReFirmLabs/binwalk
Vcs-Browser: https://salsa.debian.org/pkg-security-team/binwalk
Vcs-Git: https://salsa.debian.org/pkg-security-team/binwalk.git

Package: python3-binwalk
Section: python
Architecture: all
Depends: libmagic1, ${misc:Depends}, ${python3:Depends}
Breaks: binwalk (<<2.1.1-7~)
Replaces: binwalk (<<2.1.1-7~)
Recommends:
 arj,
 bzip2,
 cramfsswap,
 mtd-utils,
 ncompress,
 p7zip,
 p7zip-full (>= 16.02+dfsg-1~),
 python3-pyqtgraph,
 sleuthkit,
 squashfs-tools
Description: Python3 library for analyzing binary blobs and executable code
 Binwalk is a tool for searching a given binary image for embedded files
 and executable code. Specifically, it is designed for identifying files
 and code embedded inside of firmware images. Binwalk uses the libmagic
 library, so it is compatible with magic signatures created for the Unix
 file utility.
 .
 Binwalk also includes a custom magic signature file which contains
 improved signatures for files that are commonly found in firmware images
 such as compressed/archived files, firmware headers, Linux kernels,
 bootloaders, filesystems, etc.
 .
 This is the Python 3 version of the package.

Package: binwalk
Architecture: all
Depends: python3-binwalk, ${misc:Depends}, ${python3:Depends}
Description: tool library for analyzing binary blobs and executable code
 Binwalk is a tool for searching a given binary image for embedded files
 and executable code. Specifically, it is designed for identifying files
 and code embedded inside of firmware images. Binwalk uses the libmagic
 library, so it is compatible with magic signatures created for the Unix
 file utility.
 .
 Binwalk also includes a custom magic signature file which contains
 improved signatures for files that are commonly found in firmware images
 such as compressed/archived files, firmware headers, Linux kernels,
 bootloaders, filesystems, etc.
 .
 This package is an empty package, because the binary tool is already
 provided with the library, dependency of this package.

## binwalk 2.1.2~git20180830+dfsg1

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1
export PYBUILD_NAME=binwalk

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	# Upstream setup.py clean does not accept options passed by
	# pybuild
	python3 setup.py clean

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	HOME= PYTHONPATH=src python3 setup.py test
endif

override_dh_install:
	dh_install
	mkdir -p debian/binwalk/usr/bin
	mv debian/python3-binwalk/usr/bin debian/binwalk/usr

## binwalk 2.2.0%2Bdfsg1

=== debian/tests/control ===
Tests: upstream-tests
Depends: binwalk, python3-nose, wget
Restrictions: needs-recommends, allow-stderr, skippable

Test-Command: binwalk testing/tests/input-vectors/foobar.lzma
Depends: binwalk
Restrictions: needs-recommends, allow-stderr

## binwalk 2.2.0+dfsg1

=== debian/changelog ===
binwalk (2.2.0+dfsg1-1) unstable; urgency=medium

  [ Samuel Henrique ]
  * Add salsa-ci.yml

  [ Gianfranco Costamagna ]
  * Update tests for 2.2.0 git hash
  * New upstream version 2.2.0
  * bump std-version to 4.4.1, no change required
  * Bump compat level to 12
  * Drop breaks/replaces against versions already satisfied since oldstable
  * Drop version constraints already satisfied since oldstable
  * Add examples to installation files
  * copyright in secure mode
  * Add R^3: no

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 17 Oct 2019 10:22:17 +0200

=== debian/control ===
--- 
+++ 
@@ -4,22 +4,21 @@
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Gianfranco Costamagna <locutusofborg@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-python,
  python3-all,
  python3-nose,
  python3-setuptools
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Homepage: https://github.com/ReFirmLabs/binwalk
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/binwalk
 Vcs-Git: https://salsa.debian.org/pkg-security-team/binwalk.git
+Rules-Requires-Root: no
 
 Package: python3-binwalk
 Section: python
 Architecture: all
 Depends: libmagic1, ${misc:Depends}, ${python3:Depends}
-Breaks: binwalk (<<2.1.1-7~)
-Replaces: binwalk (<<2.1.1-7~)
 Recommends:
  arj,
  bzip2,
@@ -27,7 +26,7 @@
  mtd-utils,
  ncompress,
  p7zip,
- p7zip-full (>= 16.02+dfsg-1~),
+ p7zip-full,
  python3-pyqtgraph,
  sleuthkit,
  squashfs-tools

## binwalk 2.3.1+dfsg1

=== debian/changelog ===
binwalk (2.3.1+dfsg1-1) unstable; urgency=medium

  * New upstream version 2.3.1+dfsg1

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 28 Mar 2021 10:31:05 +0200

binwalk (2.3.0+dfsg1-2) unstable; urgency=medium

  * Update upstream tests for new version
  * Add coverage to build-depends needed for tests
  * Ignore test results for now, they need an installed binwalk
  * Add pyversion mangling for python3-default installation directory

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 24 Mar 2021 13:37:33 +0100

binwalk (2.3.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 2.3.0+dfsg1
  * Bump std-version to 4.5.0
  * Drop needs-recommends from test/control, deprecated

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 24 Mar 2021 11:00:25 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,10 @@
  debhelper-compat (= 12),
  dh-python,
  python3-all,
+ python3-coverage,
  python3-nose,
  python3-setuptools
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/ReFirmLabs/binwalk
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/binwalk
 Vcs-Git: https://salsa.debian.org/pkg-security-team/binwalk.git

=== debian/tests/control ===
Tests: upstream-tests
Depends: binwalk, python3-nose, wget
Restrictions: allow-stderr, skippable

Test-Command: binwalk testing/tests/input-vectors/foobar.lzma
Depends: binwalk
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="repack,compression=xz,repacksuffix=+dfsg1,dversionmangle=s/\+dfsg\d?$//" \
	https://github.com/ReFirmLabs/binwalk/tags .*/v?(\d\S*)\.tar\.gz

## binwalk 2.3.2+dfsg1

=== debian/changelog ===
binwalk (2.3.2+dfsg1-1) unstable; urgency=medium

  * New upstream version 2.3.2+dfsg1
  * Refresh manpage with help2man

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 10 Sep 2021 08:35:16 +0200

## binwalk 2.3.3+dfsg1

=== debian/changelog ===
binwalk (2.3.3+dfsg1-2) unstable; urgency=medium

  * debian/patches/585.patch:
    - Add upstream proposed patch to fix a warning on new Python.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 31 Jan 2022 22:01:49 +0100

binwalk (2.3.3+dfsg1-1) unstable; urgency=medium

  * New upstream version 2.3.3+dfsg1
  * Update std-version to 4.6.0
  * Update copyright years
  * Bump compat level to 13

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 31 Jan 2022 21:56:58 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Gianfranco Costamagna <locutusofborg@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-coverage,
  python3-nose,
  python3-setuptools
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/ReFirmLabs/binwalk
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/binwalk
 Vcs-Git: https://salsa.debian.org/pkg-security-team/binwalk.git

## binwalk 2.3.4+dfsg1

=== debian/changelog ===
binwalk (2.3.4+dfsg1-1) unstable; urgency=medium

  * New upstream version 2.3.4+dfsg1
  * Update std-version to 4.6.2
  * Switch from upstream PR 585 to upstream PR 559 to fix warning

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 04 Feb 2023 11:10:50 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python3-coverage,
  python3-nose,
  python3-setuptools
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/ReFirmLabs/binwalk
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/binwalk
 Vcs-Git: https://salsa.debian.org/pkg-security-team/binwalk.git

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 # export DH_VERBOSE=1
 export PYBUILD_NAME=binwalk
+
+PYVER := $(shell py3versions -d)
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
@@ -13,10 +15,14 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	HOME= PYTHONPATH=src python3 setup.py test
+	HOME= PYTHONPATH=src python3 setup.py test || true
 endif
 
 override_dh_install:
 	dh_install
 	mkdir -p debian/binwalk/usr/bin
 	mv debian/python3-binwalk/usr/bin debian/binwalk/usr
+	# run tests again, here we have a properly installed binwalk into debian directory
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	HOME= PYTHONPATH=debian/python3-binwalk/usr/lib/$(PYVER)/dist-packages/ python3 setup.py test
+endif

## binwalk 2.4.2+dfsg1

=== debian/changelog ===
binwalk (2.4.2+dfsg1-1) unstable; urgency=medium

  * Team Upload
  * Switch to maintenance fork (Closes: #1068015)
  * New upstream version 2.4.2+dfsg1 (Closes: #1063826)
  * Replace Nose with Pytest (Closes: #1018315)
  * Remove old patches and dependency on python3-zombie-imp
  * Use dh-sequence-python3
  * Recommends python3-capstone (Closes: #1058053)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 29 Sep 2024 12:44:02 +0200

binwalk (2.3.4+dfsg1-5) unstable; urgency=medium

  [ Matthias Klose <doko@debian.org> ]
  * Update libmagic1 dependency (Closes: #1066852).

  [ Gianfranco Costamagna ]
  * Actually drop libmagic runtime dependency, useless now

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 27 Mar 2024 10:49:28 +0100

binwalk (2.3.4+dfsg1-4) unstable; urgency=medium

  [ Michael Hudson-Doyle ]
  * Take patch from https://github.com/ReFirmLabs/binwalk/pull/668 for Python
    3.12 compatibility. (Closes: 1061787)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 19 Feb 2024 13:25:12 +0100

binwalk (2.3.4+dfsg1-3) unstable; urgency=medium

  * Fixup zombie-imp dependency, thanks doko

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Feb 2024 21:36:55 +0100

binwalk (2.3.4+dfsg1-2) unstable; urgency=medium

  * Team upload.

  [ Matthias Klose ]
  * (Build-)depend on python3-zombie-imp.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 08 Feb 2024 07:37:42 +0100

## binwalk 2.4.3+dfsg1

=== debian/changelog ===
binwalk (2.4.3+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * d/control: Recommend 7zip instead of p7zip + p7zip-full (Closes: #1063610).
    Thanks to cacin@allfreemail.net for providing a patch.

 -- Sven Geuer <sge@debian.org>  Fri, 14 Mar 2025 21:25:15 +0100

binwalk (2.4.3+dfsg1-1) unstable; urgency=medium

  * New upstream version 2.4.3+dfsg1
    - this is the last release, the original binwalk came back
      as rust package

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 08 Nov 2024 13:56:37 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
 Uploaders: Gianfranco Costamagna <locutusofborg@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3-all,
  python3-coverage,
- python3-nose,
- python3-setuptools
+ python3-pytest,
+ python3-pytest-cov,
+ python3-setuptools,
 Standards-Version: 4.6.2
 Homepage: https://github.com/ReFirmLabs/binwalk
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/binwalk
@@ -19,15 +20,15 @@
 Package: python3-binwalk
 Section: python
 Architecture: all
-Depends: libmagic1, ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}
 Recommends:
+ 7zip,
  arj,
  bzip2,
  cramfsswap,
  mtd-utils,
  ncompress,
- p7zip,
- p7zip-full,
+ python3-capstone,
  python3-pyqtgraph,
  sleuthkit,
  squashfs-tools
@@ -42,8 +43,6 @@
  improved signatures for files that are commonly found in firmware images
  such as compressed/archived files, firmware headers, Linux kernels,
  bootloaders, filesystems, etc.
- .
- This is the Python 3 version of the package.
 
 Package: binwalk
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1
export PYBUILD_NAME=binwalk
export PYBUILD_BEFORE_TEST=cp -r {dir}/testing {build_dir}
export PYBUILD_TEST_ARGS=testing/tests/test*.py
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/testing

PYVER := $(shell py3versions -d)

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	# Upstream setup.py clean does not accept options passed by
	# pybuild
	python3 setup.py clean

override_dh_auto_test:
	HOME= PYTHONPATH=src dh_auto_test

execute_after_dh_install:
	mkdir -p debian/binwalk/usr/bin
	mv debian/python3-binwalk/usr/bin debian/binwalk/usr

=== debian/tests/control ===
Tests: upstream-tests
Depends: binwalk, python3-pytest, wget
Restrictions: allow-stderr, skippable

Test-Command: binwalk testing/tests/input-vectors/foobar.lzma
Depends: binwalk
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="repack,compression=xz,repacksuffix=+dfsg1,dversionmangle=s/\+dfsg\d?$//" \
	https://github.com/OSPG/binwalk/tags  .*/v?(\d\S*)\.tar\.gz
